Re: ide.2.4.1-p3.01112001.patch

Adrian Bunk (
Fri, 12 Jan 2001 22:26:50 +0100 (CET)

On Fri, 12 Jan 2001, Alan Cox wrote:

> > I want to see the code to handle the apparent VIA DMA bug. At this point,
> > preferably by just disabling DMA on VIA chipsets or something like that
> > (if it has only gotten worse since 2.2.x, I'm not interested in seeing any
> > experimental patches for it during early 2.4.x).
> It hasnt gotten worse, its just its a very specific combination and its a
> well known problem (vendors dont enable auto dma for ide for this reason)
> 2.2.16 just covers the cases I know about (and slightly overdoes it for now)
> > We've already had one major fs corruption due to this, I want that fixed
> > _first_.
> I've got other reports too.

At least some of the reported problems with VIA chipsets are fixed with
the VIA IDE driver v3.11 [1]. Are there any problems that still occur with
this driver?



A "No" uttered from deepest conviction is better and greater than a
"Yes" merely uttered to please, or what is worse, to avoid trouble.
                -- Mahatma Ghandi

- To unsubscribe from this list: send the line "unsubscribe linux-kernel" in the body of a message to Please read the FAQ at